Package Details: worker 3.8.3-1

Git Clone URL: https://aur.archlinux.org/worker.git (read-only)
Package Base: worker
Description: A file manager for the X Window System
Upstream URL: http://www.boomerangsworld.de/worker
Keywords: filemanager files nc
Licenses: GPL
Submitter: ilpianista
Maintainer: aaronfischer
Last Packager: aaronfischer
Votes: 55
Popularity: 0.733096
First Submitted: 2010-09-28 09:57
Last Updated: 2016-07-11 08:16

Latest Comments

aaronfischer commented on 2015-11-02 09:22

@anika200: Your PKGBUILD does not change anything. There must be a problem on your side I think.

BTW: Bump version to 3.8.1.

anika200 commented on 2015-07-29 12:49

At least on my system with Pacman v4.2.1 - libalpm v9.0.1 the build fails because of problems with the build().
This pkgbuild works for me, maybe it helps someone.

# Maintainer: Aaron Fischer <mail@aaron-fischer.net>
# Contributor: J. W. Birdsong <jwbirdsong AT gmail DOT com>
# Contributor: Kevin Piche <kevin@archlinux.org>

pkgname=worker
pkgver=3.7.1
pkgrel=1
pkgdesc="A file manager for the X Window System"
arch=('i686' 'x86_64')
license=('GPL')
url="http://www.boomerangsworld.de/worker"
depends=('avfs' 'gcc-libs' 'libx11' 'file')
makedepends=('libxt')
source=(http://www.boomerangsworld.de/cms/${pkgname}/downloads/${pkgname}-${pkgver}.tar.bz2)
md5sums=('81a5a384597ab1e239b7216498795789')

#build() {
# cd "${srcdir}/${pkgname}-${pkgver}"

# We need to disable the optimizations because of a bug in gcc
# (see https://gcc.gnu.org/bugzilla/show_bug.cgi?id=63140 for details)
# Ralf added a gcc constraint check to avoid compiling bad optimized code.
# Because we run a recent version of gcc, we disable the check, and
# disable also the compiler optimizations completely. Because the code
# uses some C++11 features, we need to set this explicitly.
#
# To bypass the pthread bug, the LDFLAGS is set here explicit until
# the bug is solved. See here for more detail and progress:
# https://sourceforge.net/p/workerfm/mailman/message/34136485/
# CPPFLAGS="-O0 -std=gnu++11" LDFLAGS=-pthread ./configure --enable-xft --prefix=/usr --disable-cxx-check

# make
#}

package() {
cd "${srcdir}/${pkgname}-${pkgver}"
CPPFLAGS="-O0 -std=gnu++11" LDFLAGS=-pthread ./configure --enable-xft --prefix=/usr --disable-cxx-check
make
cd "${srcdir}/${pkgname}-${pkgver}"
make DESTDIR="${pkgdir}" install
}

zeltak commented on 2014-11-07 08:59

3.5.2RC is out :)

zeltak commented on 2014-01-14 07:50

3.3.0 RC is out :)

aaronfischer commented on 2013-06-26 13:16

Worker 3.0.0 is out.

aaronfischer commented on 2013-02-16 01:30

Can you put this patch into the package?
http://sourceforge.net/mailarchive/forum.php?thread_name=5117B7A2.6090608%40aaron-mueller.de&forum_name=workerfm-users

If zou don't have the time, I can maintain this package.

Anonymous comment on 2012-08-17 05:30

Ralf's URL has changed.

Please change PKGBUILD download URL to:
http://www.boomerangsworld.de/cms/worker/downloads/worker-2.19.4.tar.bz2

and you'll compile fine.

- Starch

handy commented on 2012-02-05 22:40

Had a problem with worker 2.19.0-1:- memory leak & dramatic increase in CPU usage - pulsing every so many seconds sometimes on 2/4 cores. I contacted Ralf, & he thinks it may be the new uDisks code, so he asked me to configure worker with --without-hal --without-dbus, both of which I did (even though I no longer have HAL installed), this solved the problem. I expect we will see an upgrade before too long with this uDisks problem hopefully solved.

Anonymous comment on 2011-07-16 01:56

Marked OOD myself as w future reminder. Will update in a day or so when new Czech trans are incorperated in to source tar ball.
(FInally figured out thier 'method' for this i _believe_

zeltak commented on 2011-06-02 16:29

thx for the 2.17.12 update :) there is a small update today 2.17.13 that fixes some bugs

thx again

Zeltak

Anonymous comment on 2011-05-31 19:21

Lastebil
Some reason i mever got notify of this last msg. (18 Mar 2011) utill i updated today.
I didn't realize the Czech translation lagged behind like that.
I'll get them updated/incorperated into the pkg in next day or so.

Lastebil commented on 2011-03-18 10:57

Ralf updated again, and Petr updated the Czech translation. The update of the Czech translation that is on the mailing list is:
http://korviny.cz/zzz/worker/cesky.catalog.tar.gz

You've already updated the source tarball (:

(Right after the release comes out, Petr updates the translation... I'm not sure if the one in the source tarball is updated by Ralf after Petr mails or not, mainly due to my not speaking Czech.)

There's a new config available as well, per the list:
The most significant new feature is the text view mode similar to the quick view of midnight commander. You can download the hotkey config file from the addons section, the default key binding is Ctrl+v

You might consider offering that config as an option. (I also am thinking of doing some tweaks to my config and will offer it up here when that happens. Due to the fact that MY time is about as limited as anything, don't look for my configs to come up anytime soon (: )

Anonymous comment on 2011-02-05 00:19

zeltak
Patch is no longer needed, just --enable-xft in configure now.

Configuration finished:
AVFS usage : yes
Large file support : yes
Regular expressions support : yes
X11 XIM usage : yes
UTF8 support : yes
Libmagic support : yes
HAL support via DBUS : yes
XFT support : yes (EXPERIMENTAL) <<------- without patch
Maximum command line length : 1572864

Installation prefix : /usr

zeltak commented on 2011-02-01 02:58

Lastebil

Hi (btw sorry for the previous post (hit the enter key to fast).

I tired using the PKGBUID with your patch in the new version but got loads of errors. would love to get a PKGBUILD with the xft patch and new version

thx again

zeltak

zeltak commented on 2011-02-01 02:49

Hi

Would also love an update to the new version

thx

zeltak

Lastebil commented on 2011-01-31 22:29

Ralf just announced a new version to the mailing list; my patch shouldn't need to change but if you have issues with it, ping me and I'll write a more robust fix. I'll check tommorrow at work if I have time that it works fine, my intel arch boxen are sleeping while I try to do some arch ppc checks.)

http://www.boomerangsworld.de/cms/worker/downloads/worker-2.17.10.tar.bz2

Lastebil commented on 2010-11-08 09:09

oh yes, the pkgbuild needs to have --enable-xft added to actually trigger the functionality. (I patched the build process and am now altering my PKGBUILD so it builds and installs it for me.)
and run autoreconf to generate the new config...
if all goes properly there is a 'use XFT (expirimental)' type line after configure runs, prior to make running.

Lastebil commented on 2010-11-08 09:01

oh yes, the pkgbuild needs to have --enable-xft added to actually trigger the functionality. (I patched the build process and am now altering my PKGBUILD so it builds and installs it for me.)

Lastebil commented on 2010-11-08 08:53

The following patch (unified diff) fixes worker's autoconf script to recognize the bleeding-edge configuration for xft (pkg-config) and allows Arch users to use XFT again. (Following a discussion on the mailing list for the program.)

http://aur.pastebin.com/b0C35kJm

ilpianista commented on 2010-09-28 09:57

* moved from [extra]